Bug 1142603 (CVE-2014-6428) - CVE-2014-6428 wireshark: SES dissector crash (wnpa-sec-2014-18)
Summary: CVE-2014-6428 wireshark: SES dissector crash (wnpa-sec-2014-18)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-6428
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1142613 1148263 1148264 1148265 1148266 1148267
Blocks: 1142615
TreeView+ depends on / blocked
 
Reported: 2014-09-17 06:06 UTC by Murray McAllister
Modified: 2019-09-29 13:21 UTC (History)
8 users (show)

Fixed In Version: wireshark 1.10.10, wireshark 1.12.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-22 11:57:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1676 normal SHIPPED_LIVE Moderate: wireshark security update 2014-10-22 00:22:29 UTC
Red Hat Product Errata RHSA-2014:1677 normal SHIPPED_LIVE Moderate: wireshark security update 2014-10-21 23:41:40 UTC

Description Murray McAllister 2014-09-17 06:06:36 UTC
It was reported that Wireshark's SES dissector could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This is reported to affect Wireshark versions 1.12.0, and 1.10.0 to 1.10.9. It is fixed in versions 1.12.1 and 1.10.10.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10454

The version of Wireshark in Red Hat Enterprise Linux 5 and 6 is older than 1.10.x, and should not be affected. The version of Wireshark in Red Hat Enterprise Linux 7 is affected.

External References:

https://www.wireshark.org/security/wnpa-sec-2014-18.html

Comment 1 Murray McAllister 2014-09-17 06:17:21 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1142613]

Comment 2 Fedora Update System 2014-09-25 10:41:04 UTC
wireshark-1.10.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-10-12 05:02:53 UTC
wireshark-1.12.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2014-10-21 19:42:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1677 https://rhn.redhat.com/errata/RHSA-2014-1677.html

Comment 7 errata-xmlrpc 2014-10-21 20:22:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:1676 https://rhn.redhat.com/errata/RHSA-2014-1676.html


Note You need to log in before you can comment on or make changes to this bug.